using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsAlarmGroupUser {

        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "알람 그룹ID"), Key]
        public int AlarmGroupId { get; set; }
        [Display(Name = "그룹 ID에 속한 사용자 ID"), Key]
        [StringLength(24)]
        public string UserId { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite CmSite { get; set; }
        [ForeignKey("SiteId,AlarmGroupId")]
        public virtual BemsAlarmGroup BemsAlarmGroup { get; set; }
        [ForeignKey("UserId")]
        public virtual CmUser CmUser { get; set; }
    }
}
